<?php

if (!defined('_CAN_LOAD_FILES_'))
	exit;

include(_PS_ROOT_DIR_ . _MODULE_DIR_ . 'blockcontacts/MContact.php');

class blockcontacts extends Module {

    function __construct() {
        $this->name = 'blockcontacts';
        $this->tab = 'front_office_features';
        $this->version = '1.2';

        parent::__construct();

        $this->displayName = $this->l('Блок контактов');
        $this->description = $this->l('Блок контактов (ICQ, Skype, MailAgent, E-Mail, Телефон, Yahoo, AIM)');
    }

    function install() {
        if (!parent::install()OR
            !$this->registerHook('header') OR
            !$this->registerHook('footer') OR
            !Db::getInstance()->Execute('
                CREATE TABLE ' . _DB_PREFIX_ . 'blockcontact
                (`id_contact` int(2) NOT NULL AUTO_INCREMENT, `contact` varchar(255) NOT NULL, type TINYINT(1) NOT NULL, PRIMARY KEY(`id_contact`))
                ENGINE='._MYSQL_ENGINE_.' default CHARSET=utf8')
            )
            return false;
        return true;
    }
    public function uninstall() {
        if (!parent::uninstall() OR
                !Db::getInstance()->Execute('DROP TABLE `' . _DB_PREFIX_ . 'blockcontact`'))
            return false;
        return true;
    }
    public function getContent() {
        $output = '<h2>' . $this->displayName . '</h2>';
        if (Tools::isSubmit('submitContactAdd')) {
            $this->_clearBlockcontactsCache();
            $contact = new MContact();
            $contact->contact = Tools::GetValue('contact');
            $contact->type = Tools::GetValue('type');
            if ($contact->add())
                $output .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="' . $this->l('Добавлен') . '" />' . $this->l('Добавлен') . '</div>';
            else
                $output .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="' . $this->l('Ошибка') . '" />' . $this->l('Ошибка') . '</div>';
        }
        elseif (Tools::isSubmit('submitContactUpdate')) {
            $this->_clearBlockcontactsCache();
            $contact = new MContact(Tools::GetValue('id'));
            $contact->contact = Tools::GetValue('contact');
            $contact->type = Tools::GetValue('type');
            if ($contact->update())
                $output .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="' . $this->l('Обновлен') . '" />' . $this->l('Обновлен') . '</div>';
            else
                $output .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="' . $this->l('Ошибка') . '" />' . $this->l('Ошибка') . '</div>';
        }
        elseif (Tools::isSubmit('submitContactDelete')) {
            $this->_clearBlockcontactsCache();
            $contact = new MContact(Tools::GetValue('id'));
            if ($contact->delete())
                $output .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="' . $this->l('Удален') . '" />' . $this->l('Удален') . '</div>';
            else
                $output .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="' . $this->l('Ошибка') . '" />' . $this->l('Ошибка') . '</div>';
        }
        return $output . $this->_displayForm() . $this->_list();
    }

    private function _displayForm() {
        $html = '
		<form style="float:right; width:200px; margin:15px; text-align:center;">
			<fieldset>
				<a href="http://prestalab.ru/"><img src="http://prestalab.ru/upload/banner.png" alt="Модули и шаблоны для PrestaShop" width="174px" height="100px" /></a>
			</fieldset>
		</form>
	 	<fieldset>
			<legend>' . $this->l('Добавить контакт') . '</legend>
			<form method="post" action="' . $_SERVER['REQUEST_URI'] . '">
				<label>' . $this->l('Контакт:') . '</label>
				<div class="margin-form">
					<div id="text" style="float: left;">
						<input type="text" name="contact" id="contact" value="' . Tools::GetValue('contact') . '" />
<sup> *</sup>
					</div>
					<div class="clear"></div>
				</div>
				<label>' . $this->l('Тип контакта:') . '</label>
				<div class="margin-form">
					<select name="type" id="type">
						<option value="0">Text</option>
						<option value="1">ICQ</option>
						<option value="2">Skype</option>
						<option value="3">MailAgent</option>
						<option value="4">E-Mail</option>
						<option value="5">Phone</option>
						<option value="6">Yahoo</option>
						<option value="7">AIM</option>
					</select>
				</div>
				<div class="margin-form">
					<input type="hidden" name="id" id="id" value="' . Tools::GetValue('id') . '" />
					<input type="submit" class="button" name="submitContactAdd" value="' . $this->l('Добавить контакт') . '" />
					<input type="submit" class="button disable" name="submitContactUpdate" value="' . $this->l('Редактировать контакт') . '" disabled="disbaled" id="submitContactUpdate" />
				</div>
			</form>
		</fieldset>
		';
        return $html;
    }

    private function _clearBlockcontactsCache() {
        $this->_clearCache('blockcontacts.tpl');
        Tools::restoreCacheSettings();
    }

    public function hookHeader() {
        Tools::addJS(($this->_path) . 'js/blockcontacts.js');
        Tools::addCSS(($this->_path) . 'css/blockcontacts.css', 'all');
    }

    function hookRightColumn($params) {
        global $smarty;
        Tools::enableCache();

        if (!$this->isCached('blockcontacts.tpl')) {
            $smarty->assign('contacts', MContact::getContacts());
        }
        $smarty->cache_lifetime = 31536000;
        $display = $this->display(__FILE__, 'blockcontacts.tpl');
        Tools::restoreCacheSettings();
        return $display;
    }

    function hookFooter($params) {
        global $smarty;
        $smarty->assign('extended', true);
        return $this->hookRightColumn($params);
    }

    private function _list() {
        $links = MContact::getContacts();
        $html = '';
        global $currentIndex, $adminObj;
        $languages = Language::getLanguages();
        if ($links) {
            $html .= '<script type="text/javascript" src="' . $this->_path . 'blocklink.js"></script>
			<script type="text/javascript">
				var currentUrl = \'' . $currentIndex . '&configure=' . $this->name . '\';
				var token=\'' . $adminObj->token . '\';
				var links = new Array();';
            foreach ($links AS $link) {
                $html .= 'links[' . $link['id_contact'] . '] = new Array(\'' . addslashes($link['contact']) . '\', ' . $link['type'];
                $html .= ');';
            }
            $html .= '</script>';
        }
        $html .= '
	 	<h3 class="blue space">' . $this->l('Список контактов') . '</h3>
		<table class="table">
			<tr>
				<th>' . $this->l('ID') . '</th>
				<th>' . $this->l('Контакт') . '</th>
				<th>' . $this->l('Тип') . '</th>
				<th>' . $this->l('Действие') . '</th>
			</tr>';

        if (!$links)
            $html .= '
			<tr>
				<td colspan="3">' . $this->l('Контакты отсутствуют') . '</td>
			</tr>';
        else
            foreach ($links AS $link)
                $html .= '
				<tr>
					<td>' . $link['id_contact'] . '</td>
					<td>' . $link['contact'] . '</td>
					<td>' . $link['type'] . '</td>
					<td>
						<img src="../img/admin/edit.gif" alt="" title="" onclick="linkEdition(' . $link['id_contact'] . ')" style="cursor: pointer" />
						<img src="../img/admin/delete.gif" alt="" title="" onclick="linkDeletion(' . $link['id_contact'] . ')" style="cursor: pointer" />
					</td>
				</tr>';
        $html .= '
		</table>';
        return $html;
    }

}
?>